> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.trevex.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.trevex.io/_mcp/server.

# Check whether a user exists

GET https://api.trevex.io/apis/email/user_lookup/

Check whether a user already exists in TREVEX before submitting a KYB request.


Reference: https://docs.trevex.io/api-reference/lookup/user-lookup

## Authentication

- `Authorization` header (required) — Pass your API key as `Api-Key <your_api_key>` in the `Authorization` header. API keys are issued per Project by the TREVEX team.

## Servers

- `https://api.trevex.io` (Production, default)
- `https://testapi.trevex.io` (Staging)

## Request

### Query parameters

- `email` (string, required) — Email address to look up.

## Response

### 200

Lookup succeeded.

- `statusCode` (integer, optional)
- `exists` (boolean, optional)
- `user_verified` (boolean, optional) — Only present when `exists` is `true`.
- `name` (string, optional) — Only present when `exists` is `true`.
- `email` (string, optional) — Only present when `exists` is `true`.

## Examples

### User exists and is verified

**Request**

```json
{}
```

**Response**

```json
{
  "statusCode": 200,
  "exists": true,
  "user_verified": true,
  "name": "Alice Smith",
  "email": "alice.smith@fintechpartner.com"
}
```

**SDK Code**

```python User exists and is verified
import requests

url = "https://api.trevex.io/apis/email/user_lookup/"

querystring = {"email":"alice.smith@fintechpartner.com"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript User exists and is verified
const url = 'https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go User exists and is verified
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby User exists and is verified
require 'uri'
require 'net/http'

url = URI("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java User exists and is verified
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php User exists and is verified
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp User exists and is verified
using RestSharp;

var client = new RestClient("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift User exists and is verified
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### User exists but email is not yet verified

**Request**

```json
{}
```

**Response**

```json
{
  "statusCode": 200,
  "exists": true,
  "user_verified": true,
  "name": "Alice Smith",
  "email": "alice.smith@fintechpartner.com"
}
```

**SDK Code**

```python User exists but email is not yet verified
import requests

url = "https://api.trevex.io/apis/email/user_lookup/"

querystring = {"email":"alice.smith@fintechpartner.com"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript User exists but email is not yet verified
const url = 'https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go User exists but email is not yet verified
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby User exists but email is not yet verified
require 'uri'
require 'net/http'

url = URI("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java User exists but email is not yet verified
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php User exists but email is not yet verified
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp User exists but email is not yet verified
using RestSharp;

var client = new RestClient("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift User exists but email is not yet verified
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### User does not exist

**Request**

```json
{}
```

**Response**

```json
{
  "statusCode": 200,
  "exists": true,
  "user_verified": true,
  "name": "Alice Smith",
  "email": "alice.smith@fintechpartner.com"
}
```

**SDK Code**

```python User does not exist
import requests

url = "https://api.trevex.io/apis/email/user_lookup/"

querystring = {"email":"alice.smith@fintechpartner.com"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript User does not exist
const url = 'https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go User does not exist
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby User does not exist
require 'uri'
require 'net/http'

url = URI("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java User does not exist
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php User does not exist
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp User does not exist
using RestSharp;

var client = new RestClient("https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift User does not exist
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.trevex.io/apis/email/user_lookup/?email=alice.smith%40fintechpartner.com")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```